package com.google.android.play.core.common;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicBoolean;

public final class d {
    public final Map<String, Object> LIZ = new HashMap();
    public final AtomicBoolean LIZIZ = new AtomicBoolean(false);

    static {
        Covode.recordClassIndex(44315);
    }

    private final synchronized void LIZIZ() {
        MethodCollector.i(18311);
        this.LIZ.put("assetOnlyUpdates", false);
        MethodCollector.o(18311);
    }

    public final synchronized boolean LIZ() {
        MethodCollector.i(18312);
        if (!this.LIZIZ.get()) {
            LIZIZ();
        }
        Object obj = this.LIZ.get("assetOnlyUpdates");
        if (!(obj instanceof Boolean)) {
            MethodCollector.o(18312);
            return false;
        }
        boolean booleanValue = ((Boolean) obj).booleanValue();
        MethodCollector.o(18312);
        return booleanValue;
    }
}
